Skip to content
Start here

Create a Web Analytics rule

client.rum.rules.create(stringrulesetId, RuleCreateParams { account_id, host, inclusive, 2 more } params, RequestOptionsoptions?): RUMRule { id, created, host, 4 more }
POST/accounts/{account_id}/rum/v2/{ruleset_id}/rule

Creates a new rule in a Web Analytics ruleset.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
rulesetId: string

The Web Analytics ruleset identifier.

params: RuleCreateParams { account_id, host, inclusive, 2 more }
account_id: string

Path param: Identifier.

maxLength32
host?: string

Body param

inclusive?: boolean

Body param: Whether the rule includes or excludes traffic from being measured.

is_paused?: boolean

Body param: Whether the rule is paused or not.

paths?: Array<string>

Body param

ReturnsExpand Collapse
RUMRule { id, created, host, 4 more }
id?: string

The Web Analytics rule identifier.

created?: string
formatdate-time
host?: string

The hostname the rule will be applied to.

inclusive?: boolean

Whether the rule includes or excludes traffic from being measured.

is_paused?: boolean

Whether the rule is paused or not.

paths?: Array<string>

The paths the rule will be applied to.

priority?: number

Create a Web Analytics rule

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const rumRule = await client.rum.rules.create('f174e90a-fafe-4643-bbbc-4a0ed4fc8415', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(rumRule.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "created": "2014-01-01T05:20:00.12345Z",
    "host": "example.com",
    "inclusive": true,
    "is_paused": false,
    "paths": [
      "*"
    ],
    "priority": 1000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "created": "2014-01-01T05:20:00.12345Z",
    "host": "example.com",
    "inclusive": true,
    "is_paused": false,
    "paths": [
      "*"
    ],
    "priority": 1000
  }
}